﻿local broker = LibStub("LibDataBroker-1.1")

local Tracking = broker:NewDataObject("Broker_Tracking", {icon = "Interface\\Minimap\\Tracking\\None", label = "Tracking"})
LibStub("AceEvent-3.0"):Embed(Tracking)

MiniMapTracking:UnregisterAllEvents()
MiniMapTracking:Hide()

function Tracking:Update()
	for i = 1, GetNumTrackingTypes() do
		local name, texture, active = GetTrackingInfo(i)

		if active then
			self.text = name
			self.icon = texture
			return
		end
	end
	self.text = _G["FACTION_INACTIVE"]
	self.icon = "Interface\\Minimap\\Tracking\\None"
end

function Tracking:OnClick(button)
	if button == "RightButton" then
		ToggleDropDownMenu(1, nil, MiniMapTrackingDropDown, "cursor")
	end
end

function Tracking:MINIMAP_UPDATE_TRACKING()
	self:Update()
end

Tracking:RegisterEvent("MINIMAP_UPDATE_TRACKING")
Tracking:Update()